body {
    opacity: 0;
    animation: page-in .25s ease forwards;
}

@keyframes page-in {
    to {
        opacity: 1;
    }
}

.fade-out {
    opacity: 0;
    transition: opacity .2s ease;
}

#progress-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 0%;
    height: 2px;
    background: var(--accent);
    z-index: 999;
    transition: width .1s linear;
}


.reveal {
    opacity: 0;
    transform: translateY(30px);
    transition: all 0.6s cubic-bezier(0.16, 1, 0.3, 1);
}

.reveal.active {
    opacity: 1;
    transform: translateY(0);
}


.reveal .stagger-item {
    opacity: 0;
}

.reveal.active .stagger-item {
    animation: fadeUpStagger 0.5s cubic-bezier(0.16, 1, 0.3, 1) forwards;
}

@keyframes fadeUpStagger {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}


.reveal.active .stagger-item:nth-child(1) {
    animation-delay: 0.05s;
}

.reveal.active .stagger-item:nth-child(2) {
    animation-delay: 0.1s;
}

.reveal.active .stagger-item:nth-child(3) {
    animation-delay: 0.15s;
}

.reveal.active .stagger-item:nth-child(4) {
    animation-delay: 0.2s;
}

.reveal.active .stagger-item:nth-child(5) {
    animation-delay: 0.25s;
}

.reveal.active .stagger-item:nth-child(6) {
    animation-delay: 0.3s;
}

.reveal.active .stagger-item:nth-child(7) {
    animation-delay: 0.35s;
}

.reveal.active .stagger-item:nth-child(8) {
    animation-delay: 0.4s;
}